GNU bug report logs - #21922
Indentation of Emacs Lisp list constants is surprising

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>; merged with #27646; dated Sat, 14 Nov 2015 18:31:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 21922 27646. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 23 Oct 2019 01:28:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 21:28:09 2019
Received: from localhost ([127.0.0.1]:60680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iN5RZ-0001f7-A4
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 21:28:09 -0400
Received: from mail-qt1-f182.google.com ([209.85.160.182]:36963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquezperez@HIDDEN>) id 1iN5RW-0001eZ-L7
 for 21922 <at> debbugs.gnu.org; Tue, 22 Oct 2019 21:28:07 -0400
Received: by mail-qt1-f182.google.com with SMTP id g50so15767134qtb.4
 for <21922 <at> debbugs.gnu.org>; Tue, 22 Oct 2019 18:28:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=hooZaxzGuaAodOxHNJRiuDlm4KB7rTBGqWLhMof9JwI=;
 b=Sha38pwCZxIIc0zMJGFSE8WmAv96roYB9jx+HtL3FMojUTKwdF7MfarlLACRI22Stb
 lNg4IgWOu9L4FTA6OiI5NdmquUGQOJyfWUX4h+rDzADn/hRhCsJMhtjF23FoD67QjyxQ
 GHj5HACp2MaVl8JSgcJkmMa3mmMjjPlHn8HCZrXznyUQoBV6VfW89Mp6KWEFG9bev/dB
 eNGjgwH15cDo/0PE/7pFlBPNNvmPRdRhGx2FmIxIBXTZA94B9DfcB2hkH1p/MNy5XiG5
 pxNs8iagrRQe06JcSMn/ISOdN5AeIwALKms3x4cf7WQTivVNofzsH/8SgU3Wjvi6q+0z
 RyaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=hooZaxzGuaAodOxHNJRiuDlm4KB7rTBGqWLhMof9JwI=;
 b=bpIgsfOUP7WbPkK4+SZf9IdGtUbWlQ7JdgQ+++j5PzEXE2Xn4oF4irfNVdFzGSzrGo
 XJ3Gs8/oridoad/zhb92UAvI6CDmpRO0VK/NW1Zlrg7bGeudeCN6h+a2Dq0NdUsVIZCJ
 8BZTe5uBeitc0lQYnNChoSFX1W2x5TMI946eU5rD+fsfl88oLvXX9U6BrUc7dz7XW7f1
 w8dI7A9qNVlo/XA0ZEUD0Jp+GkgirqMWTO4XlASZh/7kIJnsB8lPNIjvraHNnSRSaoVB
 Da9N5CNGy9jkJMhBnMdcSWCe/gnpBp/2Aus/PPvDzSodg/LrR/TuSFEtadz/o0PcMhvD
 WDIw==
X-Gm-Message-State: APjAAAVoKx70dyv/r1pMmIQqaJ1kFnitR9MDQfIJqc13OquYDldeZcto
 oIqxdXpmA5fG7S1M8OGoXI2GziuWR+842OrKQiOlU5zv
X-Google-Smtp-Source: APXvYqzxhpP8T9Hq36wJRoFudeFr0/ZhfAgyUqQ0IKJGf/UUiSicoHDlBTxw8gQ96YJYyIaj4r0vxIae98qrSj3bi+E=
X-Received: by 2002:ac8:4749:: with SMTP id k9mr6553308qtp.257.1571794079685; 
 Tue, 22 Oct 2019 18:27:59 -0700 (PDT)
MIME-Version: 1.0
References: <CAKVVwxeE8TuHM4-sd6=dAo0Nr3OAU1xD_gxvzrNmLFVoEZY-XQ@HIDDEN>
 <CAKVVwxfPtvcgh_ViiguPFEzRi7uxdNGTVmFUeNihQCra7OQ=6A@HIDDEN>
 <871rv4e3gk.fsf@HIDDEN>
 <CAKVVwxdAqLNG68P6scLKfNSCupCSB1Yc56qYxJuSrHckP=Jiag@HIDDEN>
 <CAKVVwxe6fr6OC2CVYpJe91H0iJ_3e-DOXf=MvvqUBLetv+8CWw@HIDDEN>
 <87mudscmas.fsf@HIDDEN>
 <CAKVVwxfCgR6hzmX2O+XrfeeOO-i9ywSan=WLjhfbQ9QArrkqKA@HIDDEN>
In-Reply-To: <CAKVVwxfCgR6hzmX2O+XrfeeOO-i9ywSan=WLjhfbQ9QArrkqKA@HIDDEN>
From: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Date: Tue, 22 Oct 2019 21:28:04 -0400
Message-ID: <CAKVVwxdhNApFHxGqO7Vcqa5Thy2bEEu1P0TYExoYni2GoCgzLQ@HIDDEN>
Subject: Fwd: bug#21922: Fwd: bug#21922: Fwd: Patch for fixing "straigh-quote"
 case
To: 21922 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000c7a3af059589d341"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21922
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000c7a3af059589d341
Content-Type: text/plain; charset="UTF-8"

---------- Forwarded message ---------
From: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Date: Tue, Oct 22, 2019 at 9:27 PM
Subject: Re: bug#21922: Fwd: bug#21922: Fwd: Patch for fixing
"straigh-quote" case
To: Noam Postavsky <npostavs@HIDDEN>


>> No, this time I ... managed to write what I meant.

Oh ok. I learned something new. I had thought that the whitespace syntax
needed
two pairs of square brackets surrounding it. So I didn't think
"[[:space:]\n]"
was legal. I thought it had to be written as "[[[:space:]]\n]". After
testing it
I see that you're right. What you have is what (rx (any space "\n"))
returns.

>>  It would be more convenient to have your change as a patch

>> ... adding a test ... would be good as well.

Ok I'll set about doing these things and reply to this thread again when
I'm done.

On Tue, Oct 22, 2019 at 8:55 PM Noam Postavsky <npostavs@HIDDEN> wrote:

> Luis Henriquez-Perez <luishenriquezperez@HIDDEN> writes:
>
> >>> I meant to say (looking-at-p "[[:space:]\n]*quote\\_>")
> >
> > I changed "[[:space:]\n]" -> "[[:space:]]\n" because I think that's what
> > you meant.
>
> No, this time I actually managed to write what I meant :)
>
> "[[:space:]\n]*" will match any number of whitespace-syntax or newline
> characters, whereas "[[:space:]]\n*" will match exactly one
> whitespace-syntax character, followed by any number of newlines.
>
> > I'm new to contributing patches. Is there anything else I need to do
> > to get this into emacs?
>
> It would be more convenient to have your change as a patch, rather than
> just the resulting code.  If you have the Emacs git repo, committing
> locally and attaching the result of 'git format-patch' as described in
> CONTRIBUTE would be the best way.  Otherwise, even just the output of
>
>     diff -u lisp/emacs-lisp/lisp-mode.el.original
> lisp/emacs-lisp/lisp-mode.el
>
> would be helpful.
>
> Oh, and adding a test to test/lisp/emacs-lisp/lisp-mode-tests.el would
> be good as well (e.g., to catch mistakes like using "[[:space:]]\n*"
> instead of "[[:space:]\n]*").
>

--000000000000c7a3af059589d341
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">---------- Forwarded message ---------<br>From: <strong cla=
ss=3D"gmail_sendername" dir=3D"auto">Luis Henriquez-Perez</strong> <span di=
r=3D"auto">&lt;<a href=3D"mailto:luishenriquezperez@HIDDEN">luishenrique=
zperez@HIDDEN</a>&gt;</span><br>Date: Tue, Oct 22, 2019 at 9:27 PM<br>Su=
bject: Re: bug#21922: Fwd: bug#21922: Fwd: Patch for fixing &quot;straigh-q=
uote&quot; case<br>To: Noam Postavsky &lt;<a href=3D"mailto:npostavs@gmail.=
com">npostavs@HIDDEN</a>&gt;<br></div><br><br><div dir=3D"ltr">&gt;&gt; =
No, this time I ... managed to write what I meant.<br><br>Oh ok. I learned =
something new. I had thought that the whitespace syntax needed<br>two pairs=
 of square brackets surrounding it. So I didn&#39;t think &quot;[[:space:]\=
n]&quot;<br>was legal. I thought it had to be written as &quot;[[[:space:]]=
\n]&quot;. After testing it<br>I see that you&#39;re right. What you have i=
s what (rx (any space &quot;\n&quot;)) returns.<br><br>&gt;&gt; =C2=A0It wo=
uld be more convenient to have your change as a patch<br><br>&gt;&gt; ... a=
dding a test ... would be good as well.<br><br>Ok I&#39;ll set about doing =
these things and reply to this thread again when I&#39;m done.<br></div><br=
><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Tue, O=
ct 22, 2019 at 8:55 PM Noam Postavsky &lt;<a href=3D"mailto:npostavs@gmail.=
com" target=3D"_blank">npostavs@HIDDEN</a>&gt; wrote:<br></div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px =
solid rgb(204,204,204);padding-left:1ex">Luis Henriquez-Perez &lt;<a href=
=3D"mailto:luishenriquezperez@HIDDEN" target=3D"_blank">luishenriquezper=
ez@HIDDEN</a>&gt; writes:<br>
<br>
&gt;&gt;&gt; I meant to say (looking-at-p &quot;[[:space:]\n]*quote\\_&gt;&=
quot;)<br>
&gt;<br>
&gt; I changed &quot;[[:space:]\n]&quot; -&gt; &quot;[[:space:]]\n&quot; be=
cause I think that&#39;s what<br>
&gt; you meant.<br>
<br>
No, this time I actually managed to write what I meant :)<br>
<br>
&quot;[[:space:]\n]*&quot; will match any number of whitespace-syntax or ne=
wline<br>
characters, whereas &quot;[[:space:]]\n*&quot; will match exactly one<br>
whitespace-syntax character, followed by any number of newlines.<br>
<br>
&gt; I&#39;m new to contributing patches. Is there anything else I need to =
do<br>
&gt; to get this into emacs?<br>
<br>
It would be more convenient to have your change as a patch, rather than<br>
just the resulting code.=C2=A0 If you have the Emacs git repo, committing<b=
r>
locally and attaching the result of &#39;git format-patch&#39; as described=
 in<br>
CONTRIBUTE would be the best way.=C2=A0 Otherwise, even just the output of<=
br>
<br>
=C2=A0 =C2=A0 diff -u lisp/emacs-lisp/lisp-mode.el.original lisp/emacs-lisp=
/lisp-mode.el<br>
<br>
would be helpful.<br>
<br>
Oh, and adding a test to test/lisp/emacs-lisp/lisp-mode-tests.el would<br>
be good as well (e.g., to catch mistakes like using &quot;[[:space:]]\n*&qu=
ot;<br>
instead of &quot;[[:space:]\n]*&quot;).<br>
</blockquote></div>
</div></div>

--000000000000c7a3af059589d341--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 23 Oct 2019 00:56:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 20:56:06 2019
Received: from localhost ([127.0.0.1]:60675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iN4wX-0000t7-MI
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 20:56:05 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:43869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1iN4wU-0000sb-Mo
 for 21922 <at> debbugs.gnu.org; Tue, 22 Oct 2019 20:56:03 -0400
Received: by mail-qk1-f174.google.com with SMTP id a194so14156179qkg.10
 for <21922 <at> debbugs.gnu.org>; Tue, 22 Oct 2019 17:56:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=dLOU0uqc1sV3UIypLIykItGJjQmvcY1JV2BYNdXw2VQ=;
 b=cg/v2dbf4KOHiN7OXKWV0UYnilv99umnWYbgW/iQYepBC6/2vYMKrylGU9etVwJjlB
 eFeLAzHoZKGnCPay1qgsbmqPLH569h7iyW5o4E/lAJmpajYp+XA6sv+244MLg1N7FQiJ
 Xq1+tUJmSmQBvSHgRizqqn+Dl23x8G38SCB3rVySZscqD50azxmbsmxHK/CpYRqwjIrJ
 q9hk5RvCaNUCnLx+IFaCcqIMT2PTGyNGN5kORRWvIUwguMbHDwlnVTyGhOhvE+CqNyXY
 +fRwOMOPGtJKrSb5aQIz1rBPY4QPzpRyWx+S7yPq66sUADp68ouVbbeR1uOZr5x8jVlb
 eyGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=dLOU0uqc1sV3UIypLIykItGJjQmvcY1JV2BYNdXw2VQ=;
 b=YLpUgfh1Wu1zZm86WWCz6HfUqMpzFlFt8pQLW55SGdzG0NdUAzjBl85hSDEPMUutTJ
 gAllAW8lMwq0PrZy8lfGvt21z0dvZ+C9UjEVBxnIvSrknYxbI1sN0/khvjZf+ZuK9mlF
 2k0uUi9yfLpoM0aG4p8oNiyXZAuf9Xzsx73qZ7lfFiTFy1QcFHaTPMu6C9Zq/408WNKn
 OCdewVx3VooLKE4CknFyB7Kmo5AA5Kc+xM+VuNvi+wy7AxeRG/rZHtdl7DoVPk4u/vYv
 IW2pyO6Zl4dtXpDuGyHbtFUI1qXb4eWlCUz8+89yi1jeBiAEsYXAcPYWTI4acCG+JXB3
 xNQQ==
X-Gm-Message-State: APjAAAXXDI1bsU2Ny88lLADBYpH3RLP5SgkK/tFCfRjoy52vbM0dUOYm
 +cQ8hdPZAqrFsxuMpu8Laf3VwDJh
X-Google-Smtp-Source: APXvYqz+LBGCTtqQ+14YpTy4+xgtUKYiOxOgbc3QPllDnYt7miU+If8c4U4a9bZ4LYEuR80mxIaI1g==
X-Received: by 2002:a37:7686:: with SMTP id r128mr5755850qkc.444.1571792156920; 
 Tue, 22 Oct 2019 17:55:56 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 f14sm787668qkl.63.2019.10.22.17.55.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 22 Oct 2019 17:55:56 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Subject: Re: bug#21922: Fwd: bug#21922: Fwd: Patch for fixing "straigh-quote"
 case
References: <CAKVVwxeE8TuHM4-sd6=dAo0Nr3OAU1xD_gxvzrNmLFVoEZY-XQ@HIDDEN>
 <CAKVVwxfPtvcgh_ViiguPFEzRi7uxdNGTVmFUeNihQCra7OQ=6A@HIDDEN>
 <871rv4e3gk.fsf@HIDDEN>
 <CAKVVwxdAqLNG68P6scLKfNSCupCSB1Yc56qYxJuSrHckP=Jiag@HIDDEN>
 <CAKVVwxe6fr6OC2CVYpJe91H0iJ_3e-DOXf=MvvqUBLetv+8CWw@HIDDEN>
Date: Tue, 22 Oct 2019 20:55:55 -0400
In-Reply-To: <CAKVVwxe6fr6OC2CVYpJe91H0iJ_3e-DOXf=MvvqUBLetv+8CWw@HIDDEN> (Luis
 Henriquez-Perez's message of "Tue, 22 Oct 2019 20:42:38 -0400")
Message-ID: <87mudscmas.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21922
Cc: 21922 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Luis Henriquez-Perez <luishenriquezperez@HIDDEN> writes:

>>> I meant to say (looking-at-p "[[:space:]\n]*quote\\_>")
>
> I changed "[[:space:]\n]" -> "[[:space:]]\n" because I think that's what
> you meant.

No, this time I actually managed to write what I meant :)

"[[:space:]\n]*" will match any number of whitespace-syntax or newline
characters, whereas "[[:space:]]\n*" will match exactly one
whitespace-syntax character, followed by any number of newlines.

> I'm new to contributing patches. Is there anything else I need to do
> to get this into emacs?

It would be more convenient to have your change as a patch, rather than
just the resulting code.  If you have the Emacs git repo, committing
locally and attaching the result of 'git format-patch' as described in
CONTRIBUTE would be the best way.  Otherwise, even just the output of

    diff -u lisp/emacs-lisp/lisp-mode.el.original lisp/emacs-lisp/lisp-mode.el

would be helpful.

Oh, and adding a test to test/lisp/emacs-lisp/lisp-mode-tests.el would
be good as well (e.g., to catch mistakes like using "[[:space:]]\n*"
instead of "[[:space:]\n]*").




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 23 Oct 2019 00:42:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 20:42:41 2019
Received: from localhost ([127.0.0.1]:60670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iN4jZ-0006yI-8k
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 20:42:41 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:43932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquezperez@HIDDEN>) id 1iN4jX-0006y6-GW
 for 21922 <at> debbugs.gnu.org; Tue, 22 Oct 2019 20:42:40 -0400
Received: by mail-qt1-f176.google.com with SMTP id t20so29749492qtr.10
 for <21922 <at> debbugs.gnu.org>; Tue, 22 Oct 2019 17:42:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=5ZBDflZwi9dUOarkZ6D0R3kekP72ptF1uQVZkCFbuTI=;
 b=QA6k+X/AsEYkKN0y+fQ5csYoNi4XLq74QVPa8RrxNMcWcLEtmUtbk0mfDxyB/hZv6C
 j62elvMQqSPrInya60pfWRwgEHxYr2pSpJN1CQEQdA1CMpRqEIkrC/YXkSFHLX+Z8duK
 zlp5EveF8mbqV4hMRINQebId3RvDBRCejHyFjKuE2NcPbkVIyH/7Ka92dKVL2Bq1KzBH
 DBXMkxakBJJTRUWycffs27smNu0HZHBPQQgabP68hVtNYtQIsLNd/EKBt4ut4gAQJXlb
 snQV3j9za1LRTb9udPhmIAfA7CMpdG7WPAEWoKdMU+siRfesuc41GQRsQqZk29u7t3Ku
 TTtg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=5ZBDflZwi9dUOarkZ6D0R3kekP72ptF1uQVZkCFbuTI=;
 b=BgC5+BN9bB2eAwD4zETHgsQhOuf9OYLEN+uMPG/N1varbs0AGeP6PoszNIs5YHeNkZ
 7p4ABRqZ/hHsJE+Dw6uZRCyOkRNoposlpr00pYFlDk0ycvZdPDiLDDAptQHlLF4rVy07
 DfEq0rYKM9Lh/dScVy0n0/Yn8JF4Huq8iYXpOg0PGezlpCvu8HK9tTglmbOq26y0DPnE
 ydEP3VjDnmIpVkdwv2eXfOZtSawSc682wLiADYVBomeZlwLLVEz2zxIkD7BEnsF7Ibec
 FxnkbThmw1X/3v1ariiH2F3IVcE0csdnuJaKXjKSClZnP+f2eQpMl2u7SG+xxMtzmr3w
 wYWA==
X-Gm-Message-State: APjAAAU3ToCjD+BIt0g3WNyfB/Bhro/yGOcLCTeI92VN1LaBK/bmZwWn
 gsmGlyCupTRg/ykOySjlB79pBPsLDQtIkMzMVq39giWx
X-Google-Smtp-Source: APXvYqyTcekEKgBJwTCsa5/OTAEevHJLT0v5biDTEdsyQXOZ95vSH5wShF5cdDPTF+w8dNWMAZRXMc3gxzyoBiSf4R8=
X-Received: by 2002:ac8:470e:: with SMTP id f14mr5756087qtp.106.1571791353667; 
 Tue, 22 Oct 2019 17:42:33 -0700 (PDT)
MIME-Version: 1.0
References: <CAKVVwxeE8TuHM4-sd6=dAo0Nr3OAU1xD_gxvzrNmLFVoEZY-XQ@HIDDEN>
 <CAKVVwxfPtvcgh_ViiguPFEzRi7uxdNGTVmFUeNihQCra7OQ=6A@HIDDEN>
 <871rv4e3gk.fsf@HIDDEN>
 <CAKVVwxdAqLNG68P6scLKfNSCupCSB1Yc56qYxJuSrHckP=Jiag@HIDDEN>
In-Reply-To: <CAKVVwxdAqLNG68P6scLKfNSCupCSB1Yc56qYxJuSrHckP=Jiag@HIDDEN>
From: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Date: Tue, 22 Oct 2019 20:42:38 -0400
Message-ID: <CAKVVwxe6fr6OC2CVYpJe91H0iJ_3e-DOXf=MvvqUBLetv+8CWw@HIDDEN>
Subject: Fwd: bug#21922: Fwd: Patch for fixing "straigh-quote" case
To: 21922 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000004be3ae05958931ba"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21922
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000004be3ae05958931ba
Content-Type: text/plain; charset="UTF-8"

---------- Forwarded message ---------
From: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Date: Tue, Oct 22, 2019 at 8:41 PM
Subject: Re: bug#21922: Fwd: Patch for fixing "straigh-quote" case
To: Noam Postavsky <npostavs@HIDDEN>



>> I did see your message.

Ok, take your time. I just wanted to make sure I sent this to the right
place.

>> I meant to say (looking-at-p "[[:space:]\n]*quote\\_>")

I changed "[[:space:]\n]" -> "[[:space:]]\n" because I think that's what
you meant.


I posted the result of these change at the bottom of this reply.

I'm new to contributing patches. Is there anything else I need to do to get
this
into emacs?

```elisp
(if (or
     (= (point) calculate-lisp-indent-last-sexp)

     (eq (char-after (1+ containing-sexp)) ?:)

     (eq (char-before containing-sexp) ?')

     (let ((quoted-p nil)
           (point nil)
           (positions (nreverse (butlast (elt state 9)))))
      (save-excursion
        (while (and positions (not quoted-p))
         (setq point (pop positions))
         (setq quoted-p
          (or (eq (char-before point) ?')
           (goto-char (1+ point))
           (looking-at-p "[[:space:]]\n*quote\\_>")))))
      quoted-p))
    ;; Containing sexp has nothing before this line
    ;; except the first element.  Indent under that element.
    nil
  ;; Skip the first element, find start of second (the first
  ;; argument of the function call) and indent under.
  (progn (forward-sexp 1)
   (parse-partial-sexp (point)
    calculate-lisp-indent-last-sexp
    0 t)))
```

On Tue, Oct 22, 2019 at 7:59 PM Noam Postavsky <npostavs@HIDDEN> wrote:

> Luis Henriquez-Perez <luishenriquezperez@HIDDEN> writes:
>
> > I replied to your personal email instead of this thread. I thought maybe
> my
> > replies had not been seen (and also that this should be recorded in the
> > thread). So this is what I had said:
>
> I did you see your messages, just haven't had so much time for handling
> Emacs bugs recently.  I was going to forward it to the list before
> replying, so thanks for doing that.
>
> > question 1:
> > I get an `unknown posix character class` error when I try (looking-at-p
> > "[[:whitespace:]\n]*quote\_>").  Did you mean to use [[:space:]] instead?
> > Did you mean:  (looking-at-p "[[:space:]]*quote\\>")?
>
> I mixed things up a bit, I meant to say
>
>     (looking-at-p "[[:space:]\n]*quote\\_>")
>
> The "\n" is needed because it typically has comment-ender syntax instead
> of space syntax.  "\\>" matches end of word, "\\_>" is end of symbol.
>
> > question 2:
> > The reason I used explicit whitespace character is because matches for
> > character classes like [[:space:]] are dependent on the active syntax
> table
> > in the buffer (see this issue
> > <
> https://emacs.stackexchange.com/questions/40911/why-do-regexp-that-matches-text-in-buffer-does-not-necessarily-match-same-text
> >).
> > Not sure if this will be a problem though, what do you think?
>
> I think relying on the mode's syntax table makes sense, though it
> probably doesn't matter a whole lot either way.
>

--0000000000004be3ae05958931ba
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">---------- Forwarded message ---------<br>From: <strong cla=
ss=3D"gmail_sendername" dir=3D"auto">Luis Henriquez-Perez</strong> <span di=
r=3D"auto">&lt;<a href=3D"mailto:luishenriquezperez@HIDDEN">luishenrique=
zperez@HIDDEN</a>&gt;</span><br>Date: Tue, Oct 22, 2019 at 8:41 PM<br>Su=
bject: Re: bug#21922: Fwd: Patch for fixing &quot;straigh-quote&quot; case<=
br>To: Noam Postavsky &lt;<a href=3D"mailto:npostavs@HIDDEN">npostavs@gm=
ail.com</a>&gt;<br></div><br><br><div dir=3D"ltr"><br>&gt;&gt; I did see yo=
ur message.<br><br>Ok, take your time. I just wanted to make sure I sent th=
is to the right place.<br><br>&gt;&gt; I meant to say (looking-at-p &quot;[=
[:space:]\n]*quote\\_&gt;&quot;)<br><br>I changed &quot;[[:space:]\n]&quot;=
 -&gt; &quot;[[:space:]]\n&quot; because I think that&#39;s what you meant.=
<br><br><br>I posted the result of these change at the bottom of this reply=
.<br><br>I&#39;m new to contributing patches. Is there anything else I need=
 to do to get this<br>into emacs?<br><br>```elisp<br>(if (or<br>=C2=A0 =C2=
=A0 =C2=A0(=3D (point) calculate-lisp-indent-last-sexp)<br><br>=C2=A0 =C2=
=A0 =C2=A0(eq (char-after (1+ containing-sexp)) ?:)<br><br>=C2=A0 =C2=A0 =
=C2=A0(eq (char-before containing-sexp) ?&#39;)<br><br>=C2=A0 =C2=A0 =C2=A0=
(let ((quoted-p nil)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(point nil=
)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(positions (nreverse (butlast=
 (elt state 9)))))<br>=C2=A0 =C2=A0 =C2=A0 (save-excursion<br>=C2=A0 =C2=A0=
 =C2=A0 =C2=A0 (while (and positions (not quoted-p))<br>=C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0(setq point (pop positions))<br>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0(setq quoted-p<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (or (eq (cha=
r-before point) ?&#39;)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(goto-c=
har (1+ point))<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(looking-at-p &=
quot;[[:space:]]\n*quote\\_&gt;&quot;)))))<br>=C2=A0 =C2=A0 =C2=A0 quoted-p=
))<br>=C2=A0 =C2=A0 ;; Containing sexp has nothing before this line<br>=C2=
=A0 =C2=A0 ;; except the first element.=C2=A0 Indent under that element.<br=
>=C2=A0 =C2=A0 nil<br>=C2=A0 ;; Skip the first element, find start of secon=
d (the first<br>=C2=A0 ;; argument of the function call) and indent under.<=
br>=C2=A0 (progn (forward-sexp 1)<br>=C2=A0 =C2=A0(parse-partial-sexp (poin=
t)<br>=C2=A0 =C2=A0 calculate-lisp-indent-last-sexp<br>=C2=A0 =C2=A0 0 t)))=
<br><div>```</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" cla=
ss=3D"gmail_attr">On Tue, Oct 22, 2019 at 7:59 PM Noam Postavsky &lt;<a hre=
f=3D"mailto:npostavs@HIDDEN" target=3D"_blank">npostavs@HIDDEN</a>&gt=
; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px=
 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Luis He=
nriquez-Perez &lt;<a href=3D"mailto:luishenriquezperez@HIDDEN" target=3D=
"_blank">luishenriquezperez@HIDDEN</a>&gt; writes:<br>
<br>
&gt; I replied to your personal email instead of this thread. I thought may=
be my<br>
&gt; replies had not been seen (and also that this should be recorded in th=
e<br>
&gt; thread). So this is what I had said:<br>
<br>
I did you see your messages, just haven&#39;t had so much time for handling=
<br>
Emacs bugs recently.=C2=A0 I was going to forward it to the list before<br>
replying, so thanks for doing that.<br>
<br>
&gt; question 1:<br>
&gt; I get an `unknown posix character class` error when I try (looking-at-=
p<br>
&gt; &quot;[[:whitespace:]\n]*quote\_&gt;&quot;).=C2=A0 Did you mean to use=
 [[:space:]] instead?<br>
&gt; Did you mean:=C2=A0 (looking-at-p &quot;[[:space:]]*quote\\&gt;&quot;)=
?<br>
<br>
I mixed things up a bit, I meant to say<br>
<br>
=C2=A0 =C2=A0 (looking-at-p &quot;[[:space:]\n]*quote\\_&gt;&quot;)<br>
<br>
The &quot;\n&quot; is needed because it typically has comment-ender syntax =
instead<br>
of space syntax.=C2=A0 &quot;\\&gt;&quot; matches end of word, &quot;\\_&gt=
;&quot; is end of symbol.<br>
<br>
&gt; question 2:<br>
&gt; The reason I used explicit whitespace character is because matches for=
<br>
&gt; character classes like [[:space:]] are dependent on the active syntax =
table<br>
&gt; in the buffer (see this issue<br>
&gt; &lt;<a href=3D"https://emacs.stackexchange.com/questions/40911/why-do-=
regexp-that-matches-text-in-buffer-does-not-necessarily-match-same-text" re=
l=3D"noreferrer" target=3D"_blank">https://emacs.stackexchange.com/question=
s/40911/why-do-regexp-that-matches-text-in-buffer-does-not-necessarily-matc=
h-same-text</a>&gt;).<br>
&gt; Not sure if this will be a problem though, what do you think?<br>
<br>
I think relying on the mode&#39;s syntax table makes sense, though it<br>
probably doesn&#39;t matter a whole lot either way.<br>
</blockquote></div>
</div></div>

--0000000000004be3ae05958931ba--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 23 Oct 2019 00:00:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 20:00:05 2019
Received: from localhost ([127.0.0.1]:60625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iN44K-0003sd-Oe
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 20:00:05 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:35152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1iN44I-0003rd-At
 for 21922 <at> debbugs.gnu.org; Tue, 22 Oct 2019 20:00:03 -0400
Received: by mail-qt1-f181.google.com with SMTP id m15so29709389qtq.2
 for <21922 <at> debbugs.gnu.org>; Tue, 22 Oct 2019 17:00:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0KH2681H9f2aihYuRBlguOSD3/RivVJ0wBaaqsdkvL0=;
 b=Zr+MfPlBfZ5NO1LpDDcxUukc59URaA6EuGrdCUukbznyldW15PO2h8x2mgAh94eYRN
 CxokLcEEpMoRZ9+0eXEetUGWQbX+szi18YhUIZXSw5+le+s5SUQ/wprsmDTuvMnEcUhl
 +urmCIvoCmtk7GVhHlBTY06B6s5cMo+YDacefu96kk0tjkpyTFCbJNZiPmaBK3TGOlqQ
 D/G4m43GvDiBUz/iaf4JUHixQAMly9Hi57khOTiy7Ukv4FHoXXHvc7AWxY1d9uKWeay/
 ocERwFG10Lx7C0dmS5T9oUvXZHt5gyR3Ep0WLEr5fLhCbb2yJej3mtcp/+ayurHyj/Zn
 nE2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0KH2681H9f2aihYuRBlguOSD3/RivVJ0wBaaqsdkvL0=;
 b=OgZUtc+/FGD9wH4xLohJ3rvgFS7c0bDaVr+bKlOE4Y0C7mFbTKdpjAZJPuBeLuAKKx
 G11rv+v6nDlwhRRWrX6LNS6hx/PzyUTeg1PftVmi4yUO3ZnUGAqQk65SWN+ujA8du+om
 Nk6Ecm2UB+UesehS32Rn09XbX+nbWdfz+J57MjjH789LFGGwvu9Z9jlZBSDtgeURGmMz
 nxzy1T31WkJ8N2ibuUYJus8AQbQelcyNBcI3023DufgjRBDJ9MMO9qKapZxHxvGUXR2k
 XQtiFP2DfvtvnGTQHSGHAbfO2xabOshjDrWMWNoGr71yTVo3h3rujC0tsn0mHsFTdp+w
 E/VQ==
X-Gm-Message-State: APjAAAVWZg9xKo+whVp+AOXGaGCwR279Gv2xa1Ojzpcxjv7n9bUZtkje
 QtrqqyHpFt6LAWDX2vBsqn3vF036
X-Google-Smtp-Source: APXvYqxT9RMpHrcMM6eRl/8dKsEzhVmdzCxJ4nlPl+nvQXRT0za64rzGy7CCca0Mb1bjv2CM3s527w==
X-Received: by 2002:ac8:75c2:: with SMTP id z2mr6177037qtq.216.1571788796568; 
 Tue, 22 Oct 2019 16:59:56 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 b16sm2635802qtp.50.2019.10.22.16.59.55
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 22 Oct 2019 16:59:55 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Subject: Re: bug#21922: Fwd: Patch for fixing "straigh-quote" case
References: <CAKVVwxeE8TuHM4-sd6=dAo0Nr3OAU1xD_gxvzrNmLFVoEZY-XQ@HIDDEN>
 <CAKVVwxfPtvcgh_ViiguPFEzRi7uxdNGTVmFUeNihQCra7OQ=6A@HIDDEN>
Date: Tue, 22 Oct 2019 19:59:55 -0400
In-Reply-To: <CAKVVwxfPtvcgh_ViiguPFEzRi7uxdNGTVmFUeNihQCra7OQ=6A@HIDDEN> (Luis
 Henriquez-Perez's message of "Tue, 22 Oct 2019 19:40:38 -0400")
Message-ID: <871rv4e3gk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21922
Cc: 21922 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Luis Henriquez-Perez <luishenriquezperez@HIDDEN> writes:

> I replied to your personal email instead of this thread. I thought maybe my
> replies had not been seen (and also that this should be recorded in the
> thread). So this is what I had said:

I did you see your messages, just haven't had so much time for handling
Emacs bugs recently.  I was going to forward it to the list before
replying, so thanks for doing that.

> question 1:
> I get an `unknown posix character class` error when I try (looking-at-p
> "[[:whitespace:]\n]*quote\_>").  Did you mean to use [[:space:]] instead?
> Did you mean:  (looking-at-p "[[:space:]]*quote\\>")?

I mixed things up a bit, I meant to say

    (looking-at-p "[[:space:]\n]*quote\\_>")

The "\n" is needed because it typically has comment-ender syntax instead
of space syntax.  "\\>" matches end of word, "\\_>" is end of symbol.

> question 2:
> The reason I used explicit whitespace character is because matches for
> character classes like [[:space:]] are dependent on the active syntax table
> in the buffer (see this issue
> <https://emacs.stackexchange.com/questions/40911/why-do-regexp-that-matches-text-in-buffer-does-not-necessarily-match-same-text>).
> Not sure if this will be a problem though, what do you think?

I think relying on the mode's syntax table makes sense, though it
probably doesn't matter a whole lot either way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 22 Oct 2019 23:40:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 19:40:42 2019
Received: from localhost ([127.0.0.1]:60620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iN3lZ-0003Ql-OR
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 19:40:42 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:37389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquezperez@HIDDEN>) id 1iN3lX-0003QX-G4
 for 21922 <at> debbugs.gnu.org; Tue, 22 Oct 2019 19:40:39 -0400
Received: by mail-qk1-f173.google.com with SMTP id u184so18096348qkd.4
 for <21922 <at> debbugs.gnu.org>; Tue, 22 Oct 2019 16:40:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=PT+6trWEAZR4vq/UoBet4F3DqwK3OOMfOV48bbh+VsE=;
 b=fn8eSW08OpZmEsvCO8H7RECYsB6sJ9byZR5weSpqJ6AzvSiEaxOEFm/DVnWqBUUEKc
 nNwL4qtQUbq7+lM1qw2hTeChvWAPmH4pFkDLW2zFsYXVy619vFtF0265Wrl1uUCmtNA+
 +lrua4/lqLR7h7Sw2Zobz2gLu/FzBhx7ofElTuHY3jWcfmJKYwpqQA8izK+Z4bTncq+j
 utDqBuFytQyMLXRk3eD/O4vDZfimSfuqaYClLyHiAsFZVgXT0TW0wkahO+l+PRUfSwpj
 7JN4Z7TPMi+CBdJ8ylAzTFouVNIHKmMSiyP+kQofS5dRjXEiuNI8iDA/sOyzodUYR8TI
 dZnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=PT+6trWEAZR4vq/UoBet4F3DqwK3OOMfOV48bbh+VsE=;
 b=BFyb12sTuZ5gEiYxEHs9Ojj3xrAI0ucWlFppxmr7+f/DBsclQK+pPEnugqTWXsXmI+
 mqgC03rs1J2X3sSkRQiotFrud1bUabNXYYrrhRdCA3RVwncewE72yH2E4iJ3ZuyPbtvx
 LpFDRaoDLyB6RJvJmxaMs43f/HWFWaOPX7BKGA9KIrnSJZEH9yKwgHiVWNZtBPkoEHcy
 uILEIziRWEmxKeJ/fiVzCQr7PHTz9C4zegBEuzkihOsOEVXkm2WibWiKf16ySBOPcUXA
 FB78BKyS6lSNzU7ViiocgP5O4KmrybsqfQaEbC52QPMLGxmTOjItulKmUPn3syuUHe/r
 HnbQ==
X-Gm-Message-State: APjAAAV26qvnua7q0KZrJQcRVQJvbIUNlekgHjwVFChnLpMzEqVicH1b
 72wGswtOIJRpoeMj5C5wlQCAsff4QfDkaCmj6BQ4ogPh
X-Google-Smtp-Source: APXvYqzwMBqomyWaFBa1KxkXyxqsZf87wkOuhWKGhe95exvC5/DKICxW23mkNV+hllJ3Pum6Cc9ggAHMCoEo/xqRE3c=
X-Received: by 2002:a37:5d06:: with SMTP id r6mr5676457qkb.16.1571787633693;
 Tue, 22 Oct 2019 16:40:33 -0700 (PDT)
MIME-Version: 1.0
References: <CAKVVwxeE8TuHM4-sd6=dAo0Nr3OAU1xD_gxvzrNmLFVoEZY-XQ@HIDDEN>
In-Reply-To: <CAKVVwxeE8TuHM4-sd6=dAo0Nr3OAU1xD_gxvzrNmLFVoEZY-XQ@HIDDEN>
From: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Date: Tue, 22 Oct 2019 19:40:38 -0400
Message-ID: <CAKVVwxfPtvcgh_ViiguPFEzRi7uxdNGTVmFUeNihQCra7OQ=6A@HIDDEN>
Subject: Fwd: Patch for fixing "straigh-quote" case
To: 21922 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000091978d059588535d"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21922
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000091978d059588535d
Content-Type: text/plain; charset="UTF-8"

---------- Forwarded message ---------
From: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Date: Tue, Oct 22, 2019 at 7:38 PM
Subject: Patch for fixing "straigh-quote" case
To: <21922@HIDDEN>


I replied to your personal email instead of this thread. I thought maybe my
replies had not been seen (and also that this should be recorded in the
thread). So this is what I had said:

Thanks for your suggestions.

Here's what the relevant sectiion of code would look like.

(if (or
     (= (point) calculate-lisp-indent-last-sexp)

     (eq (char-after (1+ containing-sexp)) ?:)

     (eq (char-before containing-sexp) ?')

     (let ((quoted-p nil)
           (point nil)
           (positions (nreverse (butlast (elt state 9)))))
      (save-excursion
        (while (and positions (not quoted-p))
         (setq point (pop positions))
         (setq quoted-p
          (or (eq (char-before point) ?')
           (goto-char (1+ point))
           (looking-at-p "[[:space:]]*quote\\>")))))
      quoted-p))
    ;; Containing sexp has nothing before this line
    ;; except the first element.  Indent under that element.
    nil
  ;; Skip the first element, find start of second (the first
  ;; argument of the function call) and indent under.
  (progn (forward-sexp 1)
   (parse-partial-sexp (point)
    calculate-lisp-indent-last-sexp
    0 t)))

question 1:
I get an `unknown posix character class` error when I try (looking-at-p
"[[:whitespace:]\n]*quote\_>").  Did you mean to use [[:space:]] instead?
Did you mean:  (looking-at-p "[[:space:]]*quote\\>")?

question 2:
The reason I used explicit whitespace character is because matches for
character classes like [[:space:]] are dependent on the active syntax table
in the buffer (see this issue
<https://emacs.stackexchange.com/questions/40911/why-do-regexp-that-matches-text-in-buffer-does-not-necessarily-match-same-text>).
Not sure if this will be a problem though, what do you think?

--00000000000091978d059588535d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">---------- Forwarded message ---------<br>From: <strong cla=
ss=3D"gmail_sendername" dir=3D"auto">Luis Henriquez-Perez</strong> <span di=
r=3D"auto">&lt;<a href=3D"mailto:luishenriquezperez@HIDDEN">luishenrique=
zperez@HIDDEN</a>&gt;</span><br>Date: Tue, Oct 22, 2019 at 7:38 PM<br>Su=
bject: Patch for fixing &quot;straigh-quote&quot; case<br>To:  &lt;<a href=
=3D"mailto:21922@HIDDEN">21922@HIDDEN</a>&gt;<br></div><br><br><div=
 dir=3D"ltr"><div>I replied to your personal email instead of this thread. =
I thought maybe my replies had not been seen (and also that this should be =
recorded in the thread). So this is what I had said:</div><div><br></div><d=
iv>Thanks for your suggestions.<div><br></div><div>Here&#39;s what the rele=
vant sectiion of code would look like.</div><div><br></div><div>(if (or<br>=
=C2=A0 =C2=A0 =C2=A0(=3D (point) calculate-lisp-indent-last-sexp)<br><br>=
=C2=A0 =C2=A0 =C2=A0(eq (char-after (1+ containing-sexp)) ?:)<br><br>=C2=A0=
 =C2=A0 =C2=A0(eq (char-before containing-sexp) ?&#39;)<br><br>=C2=A0 =C2=
=A0 =C2=A0(let ((quoted-p nil)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
(point nil)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(positions (nrevers=
e (butlast (elt state 9)))))<br>=C2=A0 =C2=A0 =C2=A0 (save-excursion<br>=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 (while (and positions (not quoted-p))<br>=C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0(setq point (pop positions))<br>=C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(setq quoted-p<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (o=
r (eq (char-before point) ?&#39;)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0(goto-char (1+ point))<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(look=
ing-at-p &quot;[[:space:]]*quote\\&gt;&quot;)))))<br>=C2=A0 =C2=A0 =C2=A0 q=
uoted-p))<br>=C2=A0 =C2=A0 ;; Containing sexp has nothing before this line<=
br>=C2=A0 =C2=A0 ;; except the first element.=C2=A0 Indent under that eleme=
nt.<br>=C2=A0 =C2=A0 nil<br>=C2=A0 ;; Skip the first element, find start of=
 second (the first<br>=C2=A0 ;; argument of the function call) and indent u=
nder.<br>=C2=A0 (progn (forward-sexp 1)<br>=C2=A0 =C2=A0(parse-partial-sexp=
 (point)<br>=C2=A0 =C2=A0 calculate-lisp-indent-last-sexp<br>=C2=A0 =C2=A0 =
0 t)))<br></div><div><br></div><div>question 1:</div><div><div>I get an `un=
known posix character class` error when I try (looking-at-p &quot;[[:whites=
pace:]\n]*quote\_&gt;&quot;).=C2=A0 Did you mean to use [[:space:]] instead=
?</div><div>Did you mean:=C2=A0 (looking-at-p &quot;[[:space:]]*quote\\&gt;=
&quot;)?</div></div><div><br></div><div>question 2:</div><div>The reason I =
used explicit whitespace character is because matches for character classes=
 like [[:space:]] are dependent on the active syntax table in the buffer (<=
a href=3D"https://emacs.stackexchange.com/questions/40911/why-do-regexp-tha=
t-matches-text-in-buffer-does-not-necessarily-match-same-text" target=3D"_b=
lank">see this issue</a>). Not sure if this will be a problem though, what =
do you think?</div></div></div>
</div></div>

--00000000000091978d059588535d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 9 Oct 2019 03:41:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 23:41:45 2019
Received: from localhost ([127.0.0.1]:51819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iI2rB-0006Ky-Ks
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 23:41:45 -0400
Received: from mail-io1-f53.google.com ([209.85.166.53]:32975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1iI2r9-0006Kj-MC
 for 21922 <at> debbugs.gnu.org; Tue, 08 Oct 2019 23:41:44 -0400
Received: by mail-io1-f53.google.com with SMTP id z19so1905419ior.0
 for <21922 <at> debbugs.gnu.org>; Tue, 08 Oct 2019 20:41:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+xGyG3OmWW3iyGuui6P0O+Mvjy8QcMUiQYUHyVNExQU=;
 b=EvgdNMv/sn1MVMUasqB3dvw3geJuKMKL2ES0h1VY50aB/UIoNCH6v3Z4iqJPJ+hYuU
 mk4mMQTQ8ZRVM09x3hL7Df/LT+nyDeVTzErB9sTO31xwc8aFwH9+MAiyRapV2N9cHgFf
 DTeGVKE1coAnqZmdICqvb2pT4MH7KpTwC8sxxXxk9/L/VO6NTX1bRqNLRIcD8z8EpB2W
 Mjl2OPjw40prqNTCyqCRwhgUMrgi1f9GVQeT/yt5rNZdAeYBfx3vQ+2/eqoFZuq4fApL
 BGUcx3cIBZa6XhiJeBofoYm26P5zBJGFKvk4ygPpubLkMi3yEs+qmtgck7h5WPoV5BT/
 9kwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=+xGyG3OmWW3iyGuui6P0O+Mvjy8QcMUiQYUHyVNExQU=;
 b=QpzLMUtDgg7zxYhC3iwz+QY5pg4Gzp6KRYnGQnM7tIZVvEDtwG3G9HTagDyjr1M2Wr
 hzuQbbsXJtMJx6o9y6W9Garljp770d9guiVpqEevzjV7vFUPj87MPxMdUtCcsMynbUqQ
 +i7FDGLTJiUuNkJvxTqE3bbA0ZBz+ofuBCF7Q6b3yunlXFMAOd+4L4xQO0Cc4JJTe3vD
 8fn/GhokizYCtNlqo3M3mq9WyX/bvwqZnCg+xQR+YDXElrkcUaJqS45KWcy3gIrvnThO
 JqafA6qlfuB+37esjs+A2Yc9Y3pOtqJ6/nu4Meo5WyU2eRzl71XzAEVQEqBAnI16RwG5
 QkqQ==
X-Gm-Message-State: APjAAAU/L3XP2J2tZxBT4sflEA5aYbShORjB7m8HVmdHa4UKu28IA2J+
 akFoXwKzriSSNubTe4aVOJWfhBOT
X-Google-Smtp-Source: APXvYqwYWMiBX1g7OhiJ6yfUlh3fRdYGndy6Hbx0smnEtm56R2+tOl4/VvlPCzImN4GKveI/Lxf+tA==
X-Received: by 2002:a6b:ee07:: with SMTP id i7mr1641792ioh.26.1570592497767;
 Tue, 08 Oct 2019 20:41:37 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 q18sm372785ion.3.2019.10.08.20.41.35
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 08 Oct 2019 20:41:36 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Subject: Re: bug#21922: Patch for fixing the "straight-quote" case
References: <56477DA2.70104@HIDDEN>
 <CAKVVwxe9ESd_Xwdu0vaj3C=woHSOcRS=YTvqUy61MfTs4v1jQg@HIDDEN>
Date: Tue, 08 Oct 2019 23:41:34 -0400
In-Reply-To: <CAKVVwxe9ESd_Xwdu0vaj3C=woHSOcRS=YTvqUy61MfTs4v1jQg@HIDDEN> (Luis
 Henriquez-Perez's message of "Mon, 23 Sep 2019 23:16:40 -0400")
Message-ID: <87y2xu7fgx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21922
Cc: 21922 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Luis Henriquez-Perez <luishenriquezperez@HIDDEN> writes:

>  (when-let (point (char-before containing-sexp))
>    (char-equal point ?'))

>             (and (char-before point)
>                  (char-equal (char-before point) ?'))

You can use eq instead of char-equal, and then the extra check for nil
isn't needed.

>             (save-excursion
>               (goto-char (1+ point))
>               (looking-at-p "quote[\t\n\f\s]+(")))))

I would suggest (looking-at-p "[[:whitespace:]\n]*quote\_>") instead,
and maybe move the save-excursion outside of the loop.

Overall, the approach looks reasonable to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 24 Sep 2019 03:43:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 23 23:43:02 2019
Received: from localhost ([127.0.0.1]:37404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCbjB-0007ti-Pe
	for submit <at> debbugs.gnu.org; Mon, 23 Sep 2019 23:43:02 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:33361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luishenriquezperez@HIDDEN>) id 1iCbJu-0007Gy-Me
 for 21922 <at> debbugs.gnu.org; Mon, 23 Sep 2019 23:16:55 -0400
Received: by mail-qk1-f169.google.com with SMTP id x134so297009qkb.0
 for <21922 <at> debbugs.gnu.org>; Mon, 23 Sep 2019 20:16:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=/ZHsgl0Vc2sYB9HSzBROOMmeIG8mxVKKJIyx0MkSSWI=;
 b=Vgo2DapCGFW4nDm6Lxh93hGErhh5P6B7XDpjX21yWqZepxoddGEKVPwhGRxjzQEAtk
 V3DQOF/xIsKk8On2nZPSdG27mXm+9KSGefJQzwaFHj0+GvDhD75O3xTbxKxJJLjDKpRM
 X+SMisVvgkO6Rl1TYtvfR+/+Gsn5PwEcyixFh14iBKuIcdecTklf9/XZgm2RP3taeDxg
 egyMNf+60vpRKK6metWYX60JFNQvkiUaMYtP40q4H3c6REP6WdXWur6QA1gYNqBv+PQi
 jnWWUIQ3GGW1e2CFzw2hBKQY89RALX1DN/h+MFCdVitnKRA0hWbd2sDt+lhSLIvhvv33
 5ShQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=/ZHsgl0Vc2sYB9HSzBROOMmeIG8mxVKKJIyx0MkSSWI=;
 b=F+7Jiq+1AcJuK9DB+eHdCI7TKLjqPVG5Ib3x3CnFo/GVtRga9RJYjnqFirkaHyVfCB
 Hi0IZfYjiZH5xkY7URPNeF17cfeoiv4Mj4xT4cVZo3gu2H3oAN/aFw3hs8dDlxT1KHxG
 pNSIN+/8hp2gdeweppMvRdHjrBpfx1FjeZFvNaXt1gbhQlLaVG6hj9UnxuynG9fqUVpp
 amRfhQnj0Tw+588LbR+G0ixwq2lp54Rolno2cdeY91ju5XY4w8Mqq6/YtzbF1Xy32v3q
 KCMYp3wQJnIWab7QrsBFqvLAR+GZ6hkJN1XqNEZDZmNQqZ2rr49ZI6Vetm/3igdLFSro
 5vHQ==
X-Gm-Message-State: APjAAAWB+2fPP9bqMMG5WSsFjGbAp8cJQ0Vn1kaQiAkbFla11lnPa4cV
 WPDm5ZSW1RGaLjPRDfc3wIhfrM84zrcjebvi82zo5qVZ
X-Google-Smtp-Source: APXvYqwlA+a+H0gXOy/qOSP3VleYtFWiJzQzVSfgBENyPdnY4nflASSWX8sQn2xEeTgWWN7lDsmOkYpQ2wZi8z3vPv8=
X-Received: by 2002:a37:c441:: with SMTP id h1mr397799qkm.16.1569295008892;
 Mon, 23 Sep 2019 20:16:48 -0700 (PDT)
MIME-Version: 1.0
From: Luis Henriquez-Perez <luishenriquezperez@HIDDEN>
Date: Mon, 23 Sep 2019 23:16:40 -0400
Message-ID: <CAKVVwxe9ESd_Xwdu0vaj3C=woHSOcRS=YTvqUy61MfTs4v1jQg@HIDDEN>
Subject: Patch for fixing the "straight-quote" case
To: 21922 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000008d8ab9059343f78c"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21922
X-Mailman-Approved-At: Mon, 23 Sep 2019 23:43:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000008d8ab9059343f78c
Content-Type: text/plain; charset="UTF-8"

Hi,

In regards to the issue on the indentation of quoted lists, I'd like to
propose a patch.

It would be changing the predicate of this conditional in the function
`calculate-lisp-indent`.

(if
    (= (point) calculate-lisp-indent-last-sexp)
    ;; Containing sexp has nothing before this line
    ;; except the first element.  Indent under that element.
    nil
  ;; Skip the first element, find start of second (the first
  ;; argument of the function call) and indent under.
  (progn (forward-sexp 1)
         (parse-partial-sexp (point)
                             calculate-lisp-indent-last-sexp
                             0 t)))

It would to this:

(or
 (= (point) calculate-lisp-indent-last-sexp)

 (when-let (point (char-before containing-sexp))
   (char-equal point ?'))

 (let ((quoted-p nil)
       (point nil)
       (positions (nreverse (butlast (elt state 9)))))
   (while (and positions (not quoted-p))
     (setq point (pop positions))
     (setq quoted-p
           (or
            (and (char-before point)
                 (char-equal (char-before point) ?'))
            (save-excursion
              (goto-char (1+ point))
              (looking-at-p "quote[\t\n\f\s]+(")))))
   quoted-p))

This code checks if the `containing-sexp` is quoted and if so indents it
normally (under the first element).

It works for forms quoted with the quote abbreviation ie:
'(a b c d
  e f g)

It also works for explicit quoting:
(quote (a b c
            d e))

Additionally it works for nested lists that are quoted.

'((a b c
   d e))

Please let me know what you think.

--0000000000008d8ab9059343f78c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><font face=3D"verdana, sans-serif" size=3D"4">Hi,</font><d=
iv><font face=3D"verdana, sans-serif" size=3D"4"><br></font></div><div><fon=
t face=3D"verdana, sans-serif" size=3D"4">In regards to the issue on the in=
dentation of quoted lists, I&#39;d like to propose a patch.</font></div><di=
v><font face=3D"verdana, sans-serif" size=3D"4"><br></font></div><div><font=
 face=3D"verdana, sans-serif" size=3D"4">It would be changing the predicate=
 of this conditional in the function `calculate-lisp-indent`.</font></div><=
div><font face=3D"verdana, sans-serif" size=3D"4"><br></font></div><div><fo=
nt face=3D"verdana, sans-serif" size=3D"4">(if<br>=C2=A0 =C2=A0 (=3D (point=
) calculate-lisp-indent-last-sexp)<br>=C2=A0 =C2=A0 ;; Containing sexp has =
nothing before this line<br>=C2=A0 =C2=A0 ;; except the first element.=C2=
=A0 Indent under that element.<br>=C2=A0 =C2=A0 nil<br>=C2=A0 ;; Skip the f=
irst element, find start of second (the first<br>=C2=A0 ;; argument of the =
function call) and indent under.<br>=C2=A0 (progn (forward-sexp 1)<br>=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(parse-partial-sexp (point)<br>=C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0calculate-lisp-indent-last-sexp<br>=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A00 t)))<br></font></div><div><font face=3D"verdana, sans-serif" si=
ze=3D"4"><br></font></div><div><font face=3D"verdana, sans-serif" size=3D"4=
">It would to this:</font></div><div><font face=3D"verdana, sans-serif" siz=
e=3D"4"><br></font></div><div><font size=3D"4">(or<br>=C2=A0(=3D (point) ca=
lculate-lisp-indent-last-sexp)<br><br>=C2=A0(when-let (point (char-before c=
ontaining-sexp))<br>=C2=A0 =C2=A0(char-equal point ?&#39;))<br><br>=C2=A0(l=
et ((quoted-p nil)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0(point nil)<br>=C2=A0 =C2=
=A0 =C2=A0 =C2=A0(positions (nreverse (butlast (elt state 9)))))<br>=C2=A0 =
=C2=A0(while (and positions (not quoted-p))<br>=C2=A0 =C2=A0 =C2=A0(setq po=
int (pop positions))<br>=C2=A0 =C2=A0 =C2=A0(setq quoted-p<br>=C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0(or<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 (and (char-before point)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0(char-equal (char-before point) ?&#39;))<br>=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (save-excursion<br>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 (goto-char (1+ point))<br>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 (looking-at-p &quot;quote[\t\n\f\s]+(&quot;)))))<b=
r>=C2=A0 =C2=A0quoted-p))</font><font face=3D"verdana, sans-serif" size=3D"=
4"><br></font></div><div><font size=3D"4"><br></font></div><div><font size=
=3D"4">This code checks if the `containing-sexp` is quoted and if so indent=
s it normally (under the first element).</font></div><div><font size=3D"4">=
<br></font></div><div><font size=3D"4">It works for forms quoted with the q=
uote abbreviation ie:=C2=A0</font></div><div><font size=3D"4">&#39;(a b c d=
=C2=A0</font></div><div><font size=3D"4">=C2=A0 e f g)</font></div><div><fo=
nt size=3D"4"><br></font></div><div><font size=3D"4">It also works for expl=
icit quoting:</font></div><div><font size=3D"4">(quote (a b c</font></div><=
div><font size=3D"4">=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 d e))</font>=
</div><div><font size=3D"4"><br></font></div><div><font size=3D"4">Addition=
ally it works for nested lists that are quoted.</font></div><div><font size=
=3D"4"><br></font></div><div><font size=3D"4">&#39;((a b c</font></div><div=
><font size=3D"4">=C2=A0 =C2=A0d e))</font></div><div><font size=3D"4"><br>=
</font></div><div><font size=3D"4">Please let me know what you think.</font=
></div></div>

--0000000000008d8ab9059343f78c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 16 Nov 2015 00:33:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 15 19:33:39 2015
Received: from localhost ([127.0.0.1]:39311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zy7jm-00006Y-Jy
	for submit <at> debbugs.gnu.org; Sun, 15 Nov 2015 19:33:38 -0500
Received: from mail-wm0-f45.google.com ([74.125.82.45]:36426)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1Zy7jS-000066-PZ
 for 21922 <at> debbugs.gnu.org; Sun, 15 Nov 2015 19:33:37 -0500
Received: by wmww144 with SMTP id w144so90231699wmw.1
 for <21922 <at> debbugs.gnu.org>; Sun, 15 Nov 2015 16:33:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-type:content-transfer-encoding;
 bh=61+VzVIvDfZ5C3EE0HX2hLrJAk9e7CeK3feco8/CzMU=;
 b=0UV7pN9sPmOThpm91h1bU62Xgg0s15YnMEy+OgJ6SoX/ACOEvpXayTBDhYHzeNW/bA
 Wj6aW+C90vVHRnd6rTWCzo2/Au7xl1SOHLPP6STo3Y1efn3+qlhfWt++sKqkoOwA99Ny
 Sw3PO9VUI+Gs+c/e7BJ74K9ITAeymYDmxNgVRS3CHQNIqtRUrXuY+IQ2s1EkCzm301UH
 +oCbrwoHLIcH73YMkl0MEG6r5t1KiacAcKeV94GuoTMIzKIe0Y4bHmE7Z1xGIml2UpwP
 rFQxIyIyN87ZHwwDPKn8AvHj6D7bSD7nvcRFTAppI4nKXXGMu7nZNUcEdYjzd/m0RY3H
 bTaQ==
X-Received: by 10.194.90.169 with SMTP id bx9mr32843879wjb.1.1447633998253;
 Sun, 15 Nov 2015 16:33:18 -0800 (PST)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id
 l186sm15711497wmg.19.2015.11.15.16.33.17
 (version=TLSv1/SSLv3 cipher=OTHER);
 Sun, 15 Nov 2015 16:33:17 -0800 (PST)
Subject: Re: bug#21922: Indentation of Emacs Lisp list constants is surprising
To: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>,
 21922 <at> debbugs.gnu.org
References: <56477DA2.70104@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <5649244C.6040705@HIDDEN>
Date: Mon, 16 Nov 2015 02:33:16 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:42.0) Gecko/20100101
 Thunderbird/42.0
MIME-Version: 1.0
In-Reply-To: <56477DA2.70104@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21922
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Clément,

On 11/14/2015 08:29 PM, Clément Pit--Claudel wrote:

> I'm posting this following a suggestion from Stefan on a discussion on
> Emacs' stackexchange site at https://emacs.stackexchange.com/questions/16942/

See Stefan's comment under your question. I also think it's a bug.

> Is there a reason for this behaviour? I could possibly understand it for
> back-quoted lists, as it would yield better indentation for macros, but
> what about lists?

We'll have to keep back-quoted lists an exception either way, for 
macros, and because of that we'll sometimes mis-indent "value" lists as 
well, because it can be handy to use backquotes for them, too.

That might be the main reason we haven't bothered to fix this yet. But 
someone should look into fixing the straight-quote case at least, and 
propose a patch.

> On stackexchange, Oleh suggested using
>
> (setq lisp-indent-function 'common-lisp-indent-function)

We recommend against this, e.g. because it would cause a lot of 
indentation changes in the Emacs codebase.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at 21922 <at> debbugs.gnu.org:


Received: (at 21922) by debbugs.gnu.org; 15 Nov 2015 19:29:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 15 14:29:03 2015
Received: from localhost ([127.0.0.1]:39200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zy2z1-0006Q4-0F
	for submit <at> debbugs.gnu.org; Sun, 15 Nov 2015 14:29:03 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:51212)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Zy2yz-0006Pe-0l
 for 21922 <at> debbugs.gnu.org; Sun, 15 Nov 2015 14:29:02 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NXV00J00F8QRE00@HIDDEN> for 21922 <at> debbugs.gnu.org;
 Sun, 15 Nov 2015 21:28:59 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NXV00JPCFGBGCA0@HIDDEN>;
 Sun, 15 Nov 2015 21:28:59 +0200 (IST)
Date: Sun, 15 Nov 2015 21:28:53 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21922: Indentation of Emacs Lisp list constants is surprising
In-reply-to: <56477DA2.70104@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
Message-id: <83r3jrcb9m.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <56477DA2.70104@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21922
Cc: 21922 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Sat, 14 Nov 2015 13:29:54 -0500
> 
> I'm posting this following a suggestion from Stefan on a discussion on
> Emacs' stackexchange site at https://emacs.stackexchange.com/questions/16942/
> 
> Emacs' indentation of Emacs Lisp code is really great, except for one thing:
> 
> (defconst one-to-ten '(one two three
>                            four five six seven
>                            eight nine ten))
> 
> Is this actually the preferred way to indent this block? As opposed to
> 
> (defconst one-to-ten '(one two three
>                        four five six seven
>                        eight nine ten))
> 
> I find it especially confusing when compared to the default for alists:
> 
> (defconst one-to-ten '((one . 1) (two . 2) (three . 3)
>                        (four . 4) (five . 5) (six . 6) (seven . 7)
>                        (eight . 8) (nine . 9) (ten . 10)))
> 

FWIW, Stefan was wrong: Emacs behaved like that since at least
Emacs 22, so recent changes didn't change this in any way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Nov 2015 18:30:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 14 13:30:15 2015
Received: from localhost ([127.0.0.1]:38176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZxfaW-0007eo-NL
	for submit <at> debbugs.gnu.org; Sat, 14 Nov 2015 13:30:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52701)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ZxfaQ-0007ec-RQ
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2015 13:30:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ZxfaO-0002uJ-TA
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2015 13:30:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44160)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ZxfaO-0002uB-RL
 for submit <at> debbugs.gnu.org; Sat, 14 Nov 2015 13:30:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34467)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ZxfaN-0004Qb-ES
 for bug-gnu-emacs@HIDDEN; Sat, 14 Nov 2015 13:30:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ZxfaJ-0002rf-BG
 for bug-gnu-emacs@HIDDEN; Sat, 14 Nov 2015 13:30:03 -0500
Received: from mout.kundenserver.de ([212.227.17.13]:57482)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1ZxfaJ-0002rb-1C
 for bug-gnu-emacs@HIDDEN; Sat, 14 Nov 2015 13:29:59 -0500
Received: from [18.189.78.159] ([18.189.78.159]) by mrelayeu.kundenserver.de
 (mreue102) with ESMTPSA (Nemesis) id 0MJTL9-1Zz2Mf0gDz-0031oj for
 <bug-gnu-emacs@HIDDEN>; Sat, 14 Nov 2015 19:29:58 +0100
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Subject: Indentation of Emacs Lisp list constants is surprising
To: bug-gnu-emacs@HIDDEN
X-Enigmail-Draft-Status: N1110
Message-ID: <56477DA2.70104@HIDDEN>
Date: Sat, 14 Nov 2015 13:29:54 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.3.0
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="U8xmV7IrGgxshoElpI652Rlhe2t1c6KDs"
X-Provags-ID: V03:K0:IOt98t1AqSeFeGyxzq5x5HQ/RCzUGoaJFHmwN6q9uyPU4XwPDcB
 1Fh3nNqvFvnOwLLNHCqX2HgaCn1QhbmfJO2mdn/85UU8afYriG/ypk9cUXJDj3Nkv7BS4v1
 3MacRBrQUopTUvkiz2+7twRXb9RiUFyhNpQNwnd0xTYRmF0l/cFMmngmh+4TkC/RTdNhFF7
 Twc939JEvvc3OsM4/9iaQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:O8kGisLukQw=:fr6z4HdCvzhzjgXKU9TaJS
 tjabe5oHHbFQY4Qmnq6vfvYopcstF3TgmqN0sydiPMhBfUFBs5QDjShwc471ZSTFhylaiAYrQ
 9nfzpSuIeMeZ/MtGOYYmiOmIctk7XIBjcs1lpVATd+2WgtMrIQyGO97VyzWRHVi39j/xwvsnZ
 kYPxJwK/xaKdlTuL7cr4Sc1pZHslS1Y55srqO7AyPLu010DBf8w4CSplDefOIzO9QxMkS+oS3
 x8GbWAozv/OwQWh+KuFYmp/MF5pS/Aa8pWN+syk1yOuX0NZygATYqp8cJtYp3SowGha6AxXB6
 /JoFkYXCGHEuFIx88xRX2yzRWVyUXHFkug5jF8XUj6bgZ0JGS9uYNlfbzbv7MnK2HBwFPQnPV
 CMMdHz/PiFzsHTkqeKOJzDrfEN+12DQzqFQaWsXU5Ovq5E4oxa2+F9+5FViaDEQwSEgkxcJ3v
 sA5+tCB6P0KBbXlYY9kDSECvahnEQV40RqB7jNUpkdIQJf4vdewMytn7WIJ23w5ogJbmy/UaJ
 y5IL25bAtTFWlvreWEr9C24XxfycDY4mGtxnpF8qAuMw61X58ng8LzIesLobHQ5qz3uVFv65+
 kMSS2k82E7woWAZR4Hh043OjjY+PlE2+aii5I7jUdmxhZT8C9v7AZJa/BEbDxYxFuOTWe8K+F
 M7J96LmVBN2IgC+D5Xld0pigtbkn9DTMubIPS13SdNwXgOHHG6WrPrLNvPVmzQVkq1hg=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--U8xmV7IrGgxshoElpI652Rlhe2t1c6KDs
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi all,

I'm posting this following a suggestion from Stefan on a discussion on
Emacs' stackexchange site at https://emacs.stackexchange.com/questions/16=
942/

Emacs' indentation of Emacs Lisp code is really great, except for one thi=
ng:

(defconst one-to-ten '(one two three
                           four five six seven
                           eight nine ten))

Is this actually the preferred way to indent this block? As opposed to

(defconst one-to-ten '(one two three
                       four five six seven
                       eight nine ten))

I find it especially confusing when compared to the default for alists:

(defconst one-to-ten '((one . 1) (two . 2) (three . 3)
                       (four . 4) (five . 5) (six . 6) (seven . 7)
                       (eight . 8) (nine . 9) (ten . 10)))

Is there a reason for this behaviour? I could possibly understand it for =

back-quoted lists, as it would yield better indentation for macros, but=20
what about lists? On stackexchange, Oleh suggested using =20

(setq lisp-indent-function 'common-lisp-indent-function)

Cheers,
Cl=C3=A9ment.

In GNU Emacs 25.1.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2015-11-14
Repository revision: 02bf89f857e04b8023ce03eadcfa87c82918e957
Windowing system distributor 'The X.Org Foundation', version 11.0.1150100=
0
System Description:	Linux Mint 17.2 Rafaela

Configured using:
 'configure --with-x-toolkit=3Dgtk3'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns help-mode easymenu cl-loaddefs pcase cl-lib mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 80441 7581)
 (symbols 48 19255 0)
 (miscs 40 38 110)
 (strings 32 12779 4612)
 (string-bytes 1 365820)
 (vectors 16 10757)
 (vector-slots 8 419611 2876)
 (floats 8 143 70)
 (intervals 56 194 0)
 (buffers 976 11)
 (heap 1024 25940 1037))




--U8xmV7IrGgxshoElpI652Rlhe2t1c6KDs
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJWR32iAAoJEPqg+cTm90wjv18P/072q0wNT16690sXwGT+MVSK
W0nRqJFyb4w26OlvTHQgPtO5toO68VEH6XcYjTEhe3jvewC0Mxk5lT1t7EjNrA4c
I08ChSzF61v0Wa6NMwhsJpuGl4QcYZCTyPgInLAz/0SVYRC6nDLkLz1LIZyVdfv2
HZfZZvIkjv6Om8NzLvIPABjMBht8fsfaw2MOXZIqqHKSmBn+GDA0z1jjtMdoocut
IT+APXJ1otMDWIBFYi4jSkdYBl3WugUY+4sKL8F1h2eaotcCTy5V/J+Cec00LFam
VJOU+0AvW4G3AUF2m8EB1mSd5kk+qyXavHQLCEYjsPoMg38LnIGlN1hmkgT2peSE
K3dzNzEioUNMFjh5y/07X9AwxbhO9X1f1limmUM8qYriUbr29Gzc3syuO7NiKsfu
x/SMM7i8w+SpFR1/CvsdA2/wxRagugh2Pj7ZTstDt0pms7FFdKmqOmqTl7j0BaFI
Ax3EKlHr8bFbczxSURXDIf7Mg53M+mPf6tbLp5Lr+2YwspabxTpnz9JDmcamKrpb
zsz4mfDSt0Z4zJ8pl/5rItcxdjZQEEpF876Q5vRkH98rfSzT0x6O3tmyg50W/X1N
1rpI9aAmHnMU33E9gOXImn7p72pmLVPR+v9dnex2C3dghItRa5rrAdGl2skA6IJ1
QR1uyK9qctuXCZ9bT1iz
=U8l9
-----END PGP SIGNATURE-----

--U8xmV7IrGgxshoElpI652Rlhe2t1c6KDs--




Acknowledgement sent to Clément Pit--Claudel <clement.pitclaudel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21922; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jan 2020 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.